package com.ice.creation.FactoryPattern;

/**
 * @author ice
 * @blog https://blog.csdn.net/dreaming_coder
 * @description
 * @create 2021-10-08 12:31:23
 */
public class Test {
    public static void main(String[] args) {
        System.out.println("======第一次物流======");
        Logistics seaLogistics = new SeaLogistics();
        seaLogistics.playDelivery();
        System.out.println("======第二次物流======");
        Logistics roadLogistics = new RoadLogistics();
        roadLogistics.playDelivery();
    }
}
